#include "MyLed.h"
#include "Arduino.h"

MyLed::MyLed(uint8_t ledPin){
	this->pin=ledPin;	
	this->status=LOW;
	pinMode(this->pin,OUTPUT);
	
}

bool MyLed::getState(){
	return status; 
	Serial.println(status);
}

void MyLed::on(void){
	digitalWrite(pin,HIGH);
	this->status=true;
	if(pin == 13){
		Serial.println("Zelena sviti");
	}
	else if(pin == A2){
		Serial.println("Cervena sviti");
	}
	else{
		Serial.println("Oranzova sviti");
	}
}

void MyLed::off(void){
	digitalWrite(pin,LOW);
	this->status=false;
	if(pin == 13){
		Serial.println("Zelena nesviti");
	}
	else if(pin == A2){
		Serial.println("Cervena nesviti");
	}
	else{
		Serial.println("Oranzova nesviti");
	}
}
	
void MyLed::toggle(void){
	status ? off() : on();
}
