/*

	funkce printTempC vype do serioveho monitoru teplotu v C
	funkce printTempF vype do serioveho monitoru teplotu v F

*/
#include "MyTerm.h"
#include "Arduino.h"

#define RESISTOR_CONNECT_THERMISTOR  10000

MyTerm::MyTerm(uint8_t termPin){
	this->pin=termPin;	
	pinMode(this->pin, INPUT);
}

void MyTerm::printTempC(){
	float temperatureC,resistance;
  	int a;
  	a = analogRead(A1);
  	resistance   = (float)(1023-a)*RESISTOR_CONNECT_THERMISTOR/a;
  	int B = 3975;
	temperatureC= 1/(log(resistance/RESISTOR_CONNECT_THERMISTOR)/B+1/298.15)-273.15;
	Serial.println(temperatureC);
}
void MyTerm::printTempF(){
	float temperatureC,resistance,temperatureF;
  	int a;
  	a = analogRead(A1);
  	resistance   = (float)(1023-a)*RESISTOR_CONNECT_THERMISTOR/a;
  	int B = 3975;
	temperatureC= 1/(log(resistance/RESISTOR_CONNECT_THERMISTOR)/B+1/298.15)-273.15;
	temperatureF = (temperatureC * 9.0 / 5.0) + 32.0;
	Serial.println(temperatureF);
}